Skip to main content
GET
/
v1
/
training_projects
/
{training_project_id}
/
jobs
/
{training_job_id}
/
checkpoint_files
cURL
curl --request GET \
--url https://api.baseten.co/v1/training_projects/{training_project_id}/jobs/{training_job_id}/checkpoint_files \
--header "Authorization: Bearer $BASETEN_API_KEY"
{
  "presigned_urls": [
    {
      "url": "<string>",
      "relative_file_name": "<string>",
      "node_rank": 123,
      "size_bytes": 123,
      "last_modified": "<string>"
    }
  ],
  "total_count": 123,
  "next_page_token": 123
}

Authorizations

Authorization
string
header
required

Pass your Baseten API key. Clients automatically send Authorization: Bearer <key>. Direct callers can also use Authorization: Api-Key <key>; both schemes are accepted.

Path Parameters

training_project_id
string
required
training_job_id
string
required

Query Parameters

page_size
integer
default:1000

Max files per page (default 1000).

Required range: x >= 1
page_token
integer
default:0

Offset into the file list (default 0).

Required range: x >= 0

Response

200 - application/json

A response to fetch presigned URLs for checkpoint files of a training job.

presigned_urls
CheckpointFile · object[]
required

List of presigned URLs for checkpoint files.

total_count
integer
required

Total number of checkpoint files available.

next_page_token
integer | null

Token to use for fetching the next page of results. None when there are no more results.